from .dialog_sources.Ui_elsa_generate_citation import Ui_Dialog
from PyQt6 import QtWidgets


class ElsaCitation(QtWidgets.QDialog, Ui_Dialog):
    def __init__(self, parent=None, data=None):
        super(ElsaCitation, self).__init__(parent)
        self.setupUi(self)
        self.radio_hg.clicked.connect(self.set_page)
